## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/
v2.0
/
flows
/
{flowId}
/
intents
/
import

Try it

Upload Intents

### cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/import \
  --header 'Content-Type: multipart/form-data' \
  --header 'X-API-Key: <api-key>' \
  --form file='@example-file' \
  --form 'localeId=<string>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "localeId": "<string>" }
headers = {"X-API-Key": "<api-key>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
```

### JavaScript (Fetch API)

```javascript
const form = new FormData();
form.append('file', '<string>');
form.append('localeId', '<string>');

const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};

options.body = form;

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/import', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/import",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"localeId\";\r\n\r\n<string>\r\n-----011000010111000001101001--",
  CURLOPT_HTTPHEADER => [
    "Content-Type: multipart/form-data",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/import"

payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"file\"; filename=\"example-file\"\r\nContent-Type: application/octet-stream\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"localeId\";\r\n\r\n<string>\r\n-----011000010111000001101001--")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Error Responses

#### 202
Successfully uploaded the Intents and created a Task to import the Intents.

```json
{
  "_id": "<string>",
  "status": "queued",
  "type": "trainIntents",
  "parameters": {},
  "lastChangedAt": 1594243850,
  "lastCreatedAt": 1594243850,
  "currentStep": 0,
  "totalStep": 100
}
```

### Common Error Codes

- **400 Bad Request**
  ```json
  {"type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}}
  ```

- **401 Unauthorized**
  ```json
  {"type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}}
  ```

- **402 Payment Required**
  ```json
  {"type": "Payment Required", "title": "Payment Required Error", "status": 402, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 402, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}}
  ```

- **403 Forbidden**
  ```json
  {"type": "Forbidden", "title": "Forbidden Error", "status": 403, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}}
  ```

- **404 Not Found**
  ```json
  {"type": "Not Found", "title": "Not Found Error", "status": 404, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {}, "logLevel": "error"}
  ```

### Authorizations

**API Key Header**
- **X-API-Key**  
  required  
  Supply the API Key in the HTTP-Header

### Headers

**Accept**  
- enum<string>  
  The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:
 - `application/json`
 - `application/hal+json`
 - `application/xml`
 - `text/xml`
 - `text/csv`

### Path Parameters

**flowId**  
- string  
  required  
  The unique identifier for the Flow. Required string length: `24`  
  Pattern: `^[a-z0-9]{24}$`

### Body

- **file**  
  file

- **localeId**  
  string

- **mode**  
  enum<string>

Available options:  
 - `skip`  
 - `overwrite`  
 - `merge`

### Response

**202**  
  **application/json**  
Successfully uploaded the Intents and created a Task to import the Intents.
